form {

    input,
    button,
    select,
    textarea {
        outline: none;
        color: #ffffff;
        font-size: .9rem;
        margin: 0 0 20px;
        padding: 0;
        font-size: .88rem;
        font-family: "Lato", sans-serif;
        box-sizing: border-box;
        border-radius: 0;

        &:-webkit-autofill {
            -webkit-box-shadow: inset 0 0 0 50px #000000 !important;
            -webkit-text-fill-color: #ffffff !important;
            color: #000000 !important;
        }
    }
    textarea {
        width: 100%;
        height: 55px;
        background-color: transparent;
        border: medium none;
        border-bottom: 1px solid rgba(255, 255, 255, .35);
        resize: vertical;
        padding: 20px;
    }

    button {
        background-color: #D81159;
        border: medium none;
        border-radius: 0;
        width: 100%;
        text-transform: uppercase;
        letter-spacing: 1px;
        color: rgba(255,255,255,0.7);
        padding: 20px;
        transition: all .5s;
        cursor: pointer;

        &:hover,
        &:focus {
            background-color: #ffffff;
            color: #000000;
            // box-shadow: 0 0 5px 6px rgba(255,255,255,.6)
        }
        &[disabled='disabled'] {
            background-color: #9f9f9f;
            color: #000000;
            cursor: not-allowed;
        }
    }

    input {
        &[type='text'],
        &[type='email'],
        &[type='password'] {
            width: 100%;
            display: block;
            padding: 20px;
            background-color: transparent;
            border: medium none;
            border-bottom: 1px solid rgba(255, 255, 255, .35);
        }
    }

    .form-row {
        position: relative;
        width: 100%;
        z-index: 5;
        margin-top: 20px;

        input {
            position: relative;
            width: 100%;
            z-index: 7;

            &:focus ~ span,
            &:valid ~ span {
                position: absolute;
                top: 0;
                left: 20px;
                z-index: 10;
                font-size: .8rem;
            }
        }
        span {
            position: absolute;
            top: 20px;
            left: 20px;
            z-index: 10;
            font-size: .88rem;
            transition: all .8s;
        }

        i {
            position: absolute;
            display: block;
            right: 5px;
            bottom: 21px;
            font-size: 1.2rem;
            font-weight: 600;
        }

    }


}
.form {
    h5 {
        text-align: center;
        margin: 10px 0 25px;
    }

    .alt-login{
        a {
            display: block;
            color: #ffffff;
            text-align: center;
            margin: 25px 0;
            text-decoration: none;

            &:hover {
                color: #999999;
            }

            &:first-child {
                background-color: #3b5998;
                border: medium none;
                border-radius: 0;
                width: 100%;
                text-transform: uppercase;
                letter-spacing: 1px;
                color: rgba(255,255,255,0.7);
                padding: 20px;
                transition: all .5s;
                cursor: pointer;
                text-decoration: none;
                font-size: .88rem;

                i {

                }

                &:hover,
                &:focus {
                    background-color: #ffffff;
                    color: #000000;
                    // box-shadow: 0 0 5px 6px rgba(255,255,255,.6)
                }
            }
        }
    }
}

.search-form {
    padding-bottom: 50px;

    input[type='text'] {
        font-size: 4rem;
        font-weight: 800;

        @media (max-width: 870px) {
            font-size: 2.9rem;
        }
        @media (max-width: $grid-mobile) {
            font-size: 2rem;
        }
    }
}

.collaborate-form {

    textarea {
        height: 200px;
    }
}

.rub {
    position: relative;

}
